=== debian/changelog ===
phybin (0.3-6) unstable; urgency=medium

  * Team Upload.
  * Add patch to switch test deps from framework -> tasty.
  * B-D on tasty related packages instead of framework.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 11:19:03 +0530

phybin (0.3-5) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests (Closes: #970301)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 25 Jan 2021 20:00:10 +0530

phybin (0.3-4) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Remain debhelper compat 11 due to constraints in haskell build
    system
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2020 17:31:02 +0100

phybin (0.3-3) unstable; urgency=medium

  * Add hint to Github in watch file
  * Add patch to build with ghc-8.6 (Thanks to Joachim Breitner
    <nomeata@debian.org>)
    Closes: #916800
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Wed, 19 Dec 2018 21:52:54 +0100

phybin (0.3-2) unstable; urgency=medium

  * debhelper 10
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jul 2018 11:32:16 +0200

phybin (0.3-1) unstable; urgency=low

  * Initial release (Closes: #808326)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2015 21:26:19 +0100
