=== debian/control ===
Source: phybin
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               haskell-devscripts,
               cdbs,
               ghc,
               libghc-hunit-dev,
               libghc-async-dev,
               libghc-fgl-dev,
               libghc-graphviz-dev,
               libghc-hierarchical-clustering-dev,
               libghc-parsec3-dev,
               libghc-prettyclass-dev,
               libghc-split-dev,
               libghc-text-dev,
               libghc-vector-dev,
               libghc-tasty-dev,
               libghc-tasty-hunit-dev,
               libghc-tasty-th-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/phybin
Vcs-Git: https://salsa.debian.org/med-team/phybin.git
Homepage: https://www.cs.indiana.edu/~rrnewton/projects/phybin/
Rules-Requires-Root: no

Package: phybin
Architecture: any
Depends: ${haskell:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Conflicts: ${haskell:Conflicts}
Provides: ${haskell:Provides}
Description: binning/clustering newick trees by topology
 PhyBin is a simple command line tool that classifies a set of Newick
 tree files by their topology. The purpose of it is to take a large set
 of tree files and browse through the most common tree topologies.
 .
 It can do simple binning of identical trees or more complex clustering
 based on an all-to-all Robinson-Foulds distance matrix.
 .
 phybin produces output files that characterize the size and contents of
 each bin or cluster (including generating GraphViz-based visual
 representations of the tree topologies).
